- Qt 5.5
- Qt3D Module
- C++ Classes
- QNodeVisitor
- Qt 5.5.1 Reference Documentation

# QNodeVisitor Class

(Qt3D::QNodeVisitor)

- List of all members, including inherited members

## Public Functions

| QNodeVisitor()
virtual | ~QNodeVisitor()
QNode * | currentNode() const
QNodeList | path() const
QNode * | rootNode() const
void | traverse(QNode * rootNode_, NodeVisitorFunc fN)
void | traverse(QNode * rootNode_, Obj * instance, NodeVisitorFunc fN)
void | traverse(QNode * rootNode_, NodeVisitorFunc fN, EntityVisitorFunc fE)
void | traverse(QNode * rootNode_, Obj * instance, NodeVisitorFunc fN, EntityVisitorFunc fE)

## Member Function Documentation

### QNodeVisitor::QNodeVisitor()

### `[virtual]` QNodeVisitor::~QNodeVisitor()

### QNode * QNodeVisitor::currentNode() const

### QNodeList QNodeVisitor::path() const

### QNode * QNodeVisitor::rootNode() const

### void QNodeVisitor::traverse(QNode * rootNode_, NodeVisitorFunc fN)

### void QNodeVisitor::traverse(QNode * rootNode_, Obj * instance, NodeVisitorFunc fN)

### void QNodeVisitor::traverse(QNode * rootNode_, NodeVisitorFunc fN, EntityVisitorFunc fE)

### void QNodeVisitor::traverse(QNode * rootNode_, Obj * instance, NodeVisitorFunc fN, EntityVisitorFunc fE)